@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('forum::forum.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('forum::forum.names') !!}</small>
@stop

@section('title')
{!! trans('forum::forum.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('forum::forum.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='forum-forum-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="forum-forum-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('forum::forum.label.name')!!}</th>
                    <th>{!! trans('forum::forum.label.message')!!}</th>
                    <th>{!! trans('forum::forum.label.children_id')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#forum-forum-entry', '{!!URL::to('admin/forum/forum/0')!!}');
    oTable = $('#forum-forum-list').dataTable( {
        "ajax": '{!! URL::to('/admin/forum/forum') !!}',
        "columns": [
            {data :'name'},
                    {data :'message'},
                    {data :'children_id'},
        ],
        "pageLength": 50
    });

    $('#forum-forum-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#forum-forum-list').DataTable().row( this ).data();

        $('#forum-forum-entry').load('{!!URL::to('admin/forum/forum')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

